window.Gleam.initSearch([{"doc":"supa","title":"supa","content":"# supa\n\n[Supabase](https://supabase.com/) client implemented in Gleam. \n\nNotes:\n1. Doesn&#39;t build on any supabase.js libraries so it can be used on the frontend and BEAM backends\n1. Currently only auth is implemented but contributes welcome\n\n[![Package Version](https://img.shields.io/hexpm/v/supa)](https://hex.pm/packages/supa)\n[![Hex Docs](https://img.shields.io/badge/hex-docs-ffaff3)](https://hexdocs.pm/supa/)\n\n```sh\ngleam add supa@1\n```\n## Using Authentication\n\nExample shows magic link authentication. As this is probably running in the browser it uses `midas_browser` to run the task.\n\n```gleam\nimport supa/auth\nimport supa/client\nimport midas/browser\nimport gleam/javascript/promise\n\npub fn main() {\n  // using the anon-key allows means this client can safely be used in the browser.\n  let client =  client.create(&quot;xyzcompany.supabase.co&quot;, &quot;public-anon-key&quot;)\n  let email = &quot;me@example.com&quot;\n  use result &lt;- promise.try_await(browser.run(auth.sign_in_with_otp(client, email, True)))\n\n  let code = todo\n  // get user to enter code\n  use #(session, user) &lt;- promise.try_await(browser.run(auth.verify_otp(client, email, code)))\n  // save or use the session\n}\n```\n\nFurther documentation can be found at &lt;https://hexdocs.pm/supa&gt;.\n\n## Development\n\n```sh\ngleam run   # Run the project\ngleam test  # Run the tests\n```\n\n## Credit\n\nCreated for [EYG](https://eyg.run/), a new integration focused programming language.","url":"index.html"},{"doc":"supa","title":"main","content":"pub fn main() -&gt; Nil\n\nSynonyms:\nsupa.main\nsupa main","url":"supa.html#main"},{"doc":"supa","title":"supa","content":"","url":"supa.html"},{"doc":"supa/client","title":"Client","content":"pub type Client {\n  Client(host: String, key: String)\n}\n\nClient(host: String, key: String)\n\n\nSynonyms:\nsupa/client.Client\nsupa/client Client","url":"supa/client.html#Client"},{"doc":"supa/client","title":"create","content":"pub const create: fn(String, String) -&gt; Client\n\nSynonyms:\nsupa/client.create\nsupa/client create","url":"supa/client.html#create"},{"doc":"supa/client","title":"supa/client","content":"","url":"supa/client.html"},{"doc":"supa/utils","title":"append_path","content":"pub fn append_path(\n  request: Request(a),\n  path: String,\n) -&gt; Request(a)\n\nSynonyms:\nsupa/utils.append_path\nsupa/utils append_path","url":"supa/utils.html#append_path"},{"doc":"supa/utils","title":"supa/utils","content":"","url":"supa/utils.html"},{"doc":"supa/auth","title":"Reason","content":"pub type Reason {\n  Reason(error: String, message: String)\n}\n\nReason(error: String, message: String)\n\n\nSynonyms:\nsupa/auth.Reason\nsupa/auth Reason","url":"supa/auth.html#Reason"},{"doc":"supa/auth","title":"Session","content":"pub type Session {\n  Session(\n    access_token: String,\n    expires_at: Int,\n    expires_in: Int,\n    refresh_token: String,\n    token_type: String,\n  )\n}\n\nSession(\n  access_token: String,\n  expires_at: Int,\n  expires_in: Int,\n  refresh_token: String,\n  token_type: String,\n)\n\n\nSynonyms:\nsupa/auth.Session\nsupa/auth Session","url":"supa/auth.html#Session"},{"doc":"supa/auth","title":"User","content":"pub type User {\n  User(created_at: String, email: String, id: String)\n}\n\nUser(created_at: String, email: String, id: String)\n\n\nSynonyms:\nsupa/auth.User\nsupa/auth User","url":"supa/auth.html#User"},{"doc":"supa/auth","title":"sign_in_with_otp","content":"pub fn sign_in_with_otp(\n  client: Client,\n  email_address: String,\n  create_user: Bool,\n) -&gt; Effect(Nil)\n\nSynonyms:\nsupa/auth.sign_in_with_otp\nsupa/auth sign_in_with_otp","url":"supa/auth.html#sign_in_with_otp"},{"doc":"supa/auth","title":"verify_decoder","content":"pub fn verify_decoder(\n  raw: Dynamic,\n) -&gt; Result(#(Session, User), List(DecodeError))\n\nSynonyms:\nsupa/auth.verify_decoder\nsupa/auth verify_decoder","url":"supa/auth.html#verify_decoder"},{"doc":"supa/auth","title":"verify_otp","content":"pub fn verify_otp(\n  client: Client,\n  email_address: String,\n  token: String,\n) -&gt; Effect(#(Session, User))\n\nSynonyms:\nsupa/auth.verify_otp\nsupa/auth verify_otp","url":"supa/auth.html#verify_otp"},{"doc":"supa/auth","title":"verify_to_json","content":"pub fn verify_to_json(session: Session, user: User) -&gt; Json\n\nSynonyms:\nsupa/auth.verify_to_json\nsupa/auth verify_to_json","url":"supa/auth.html#verify_to_json"},{"doc":"supa/auth","title":"supa/auth","content":"","url":"supa/auth.html"}]);